# Get Registered Model Databricks

Launch stage: GA

`GET /api/2.0/mlflow/databricks/registered-models/get`

Get the details of a model.
 This is a <Databricks> workspace version of the [MLflow endpoint](https://www.mlflow.org/docs/latest/rest-api.html#get-registeredmodel)
 that also returns the model's <Databricks> workspace ID and the permission level of the requesting user on the model.

API scopes: mlflow

## Query parameters

- `name` (string, optional)
  Registered model unique name identifier.

## Returns

- `registered_model_databricks` (object, optional)
  - `name` (string, optional)
    Name of the model.
    Example: `search_ads_model`
    Constraints: `[ 1 .. 100 ] characters`
  - `creation_timestamp` (int64, optional)
    Creation time of the object, as a Unix timestamp in milliseconds.
    Example: `1594437249910`
  - `last_updated_timestamp` (int64, optional)
    Last update time of the object, as a Unix timestamp in milliseconds.
    Example: `1594437549910`
  - `user_id` (string, optional)
    The username of the user that created the object.
    Example: `jane.doe@example.com`
  - `description` (string, optional)
    User-specified description for the object.
    Example: `Here's some extra info.`
    Constraints: `<= 65535 characters`
  - `latest_versions` (array of object, optional)
    Array of model versions, each the latest version for its stage.
    - `name` (string, optional)
      Unique name of the model
    - `version` (string, optional)
      Model's version number.
    - `creation_timestamp` (int64, optional)
      Timestamp recorded when this `model_version` was created.
    - `last_updated_timestamp` (int64, optional)
      Timestamp recorded when metadata for this `model_version` was last updated.
    - `user_id` (string, optional)
      User that created this `model_version`.
    - `current_stage` (string, optional)
      Current stage for this `model_version`.
    - `description` (string, optional)
      Description of this `model_version`.
    - `source` (string, optional)
      URI indicating the location of the source model artifacts, used when creating `model_version`
    - `run_id` (string, optional)
      MLflow run ID used when creating `model_version`, if `source` was generated by an
       experiment run stored in MLflow tracking server.
    - `status` (string, optional)
      Current status of `model_version`
      Possible values: `PENDING_REGISTRATION`, `FAILED_REGISTRATION`, `READY`
    - `status_message` (string, optional)
      Details on current `status`, if it is pending or failed.
    - `tags` (array of object, optional)
      Tags: Additional metadata key-value pairs for this `model_version`.
      - `key` (string, optional)
        The tag key.
      - `value` (string, optional)
        The tag value.
    - `run_link` (string, optional)
      Run Link: Direct link to the run that generated this version
  - `id` (string, optional)
    Unique identifier for the object.
    Example: `6fc74c92704341aaa49e74dcc6031057`
  - `permission_level` (string, optional)
    Permission level granted for the requesting user on this registered model
    Possible values: `CAN_MANAGE`, `CAN_EDIT`, `CAN_READ`, `CAN_MANAGE_STAGING_VERSIONS`, `CAN_MANAGE_PRODUCTION_VERSIONS`, `CAN_CREATE_REGISTERED_MODEL`
  - `tags` (array of object, optional)
    Array of tags associated with the model.
    - `key` (string, optional)
      The tag key.
    - `value` (string, optional)
      The tag value.

## Response

```json
{
  "registered_model_databricks": {
    "name": "search_ads_model",
    "creation_timestamp": 1594437249910,
    "last_updated_timestamp": 1594437549910,
    "user_id": "jane.doe@example.com",
    "description": "Here's some extra info.",
    "latest_versions": [
      {}
    ],
    "id": "6fc74c92704341aaa49e74dcc6031057",
    "permission_level": "string",
    "tags": [
      {}
    ]
  }
}
```

